Bug 508549 - Review Request: xml-writer - Java filter class designed to work with SAX2
Review Request: xml-writer - Java filter class designed to work with SAX2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-28 10:21 EDT by Sandro Mathys
Modified: 2009-09-29 10:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.2-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-25 13:25:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
loganjerry: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2009-06-28 10:21:12 EDT
Spec URL: http://red.fedorapeople.org/SRPMS/xml-writer.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/xml-writer-0.2-1.fc11.src.rpm
Description:
With this filter one can use it to take a snapshot of
any point in a SAX2 filter chain, as well as serializing the final
result to XML (this may be important for auditing as well).

rpmlint on spec, srpm and noarch-rpms finishes checking without any warnings or
errors.

There's no license header in the source files and even thought this is 0.2 the COPYING only says something about 0.1 being public domain. I showed this to spot during FUDCon and he said this'd be okay and should be tagged public domain.
Comment 1 Jerry James 2009-08-25 17:01:34 EDT
Rpmlint output:
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

MUST items:
OK: rpmlint output (see above)
OK: named according to package naming guidelines
OK: spec file name matches package name
XX: package meets packaging guidelines: You need to add a comment on the patch.  See https://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment
OK: Fedora approved license.  I wouldn't worry about that.  I found public domain declarations in multiple files.
OK: License field matches actual license
OK: License file is included in %doc
OK: Spec file in American English
OK: Spec file is legible
OK: Sources match upstream (compare equal with md5sum)
OK: package builds into binary RPM on at least one arch (F-11 x86_64)
NA: Appropriate use of ExcludeArch
OK: All build dependencies in BuildRequires
NA: Proper handling of locales
NA: ldconfig called in %post/%postun
OK: No relocatable packages
OK: Package owns all directories it creates
OK: No duplicate listings in %files
OK: Appropriate permissions in %files
OK: Package has a %clean section with appropriate contents
OK: Consistent use of macros
OK: Code or permissible content
NA: Large documentation in a -doc subpackage
OK: No runtime dependencies in %doc
NA: Header files in -devel
NA: Static libraries in -static
NA: Requires: pkgconfig
NA: .so files in -devel
NA: -devel requires base package
NA: No libtool archives
NA: GUI applications need a desktop file
OK: Don't own files/dirs already owned by other packages
OK: Clean at the beginning of %install
OK: All filenames are valid UTF-8

SHOULD items:
NA: Ask upstream to include a license file
NA: Provide translated description and summary fields
OK: Package builds in mock (checked x86_64 F-11 only)
??: Package builds on all supported arches (did not check)
OK: Package functions as described (minimal testing only)
OK: Sane scriptlets
OK: Subpackages require base package
NA: Placement of pkgconfig files
NA: File dependencies

Finally, I have a few comments on the spec file.  First, would you consider adding ChangeLog and BUGS to %doc?  I know their contents may be trivial, and the author isn't working on the code right now, but there just may be a new version some day ....

Second, the -javadoc subpackage does not need to "Requires: jpackage-utils", since it requires the base package, which requires jpackage-utils.

Third, I don't understand the use of %dir in the "%files javadoc" section.  I think this is more readable:

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{version}
Comment 2 Jerry James 2009-08-25 17:07:20 EDT
Ah, I forgot one thing.  Would you also "rm -f" the pre-built jar file in %prep, just for my peace of mind?  Thanks.
Comment 3 Jerry James 2009-09-21 11:00:56 EDT
Sandro, if you still want to submit this package to Fedora, please respond within the next week.
Comment 4 Sandro Mathys 2009-09-21 11:06:36 EDT
Jerry, sorry for not working on this for such a long time. I actually started to fetch up with review request today and will try to bring up a new version of xml-writer tomorrow (CEST).
Comment 5 Sandro Mathys 2009-09-21 11:28:48 EDT
Spec URL: http://red.fedorapeople.org/SRPMS/xml-writer.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/xml-writer-0.2-2.fc11.src.rpm

Okay, I lied. I had some spare minutes und just did it :) Fixed everything you mentioned above. Thanks for the review so far!
Comment 6 Jerry James 2009-09-24 16:15:16 EDT
No problem.  As it turns out, I've been totally swamped at work for the last 3 days.  I'm just now coming up for air...

This looks good.  I see no further issues, so this package is APPROVED.
Comment 7 Sandro Mathys 2009-09-25 03:27:45 EDT
New Package CVS Request
=======================
Package Name: xml-writer
Short Description: Java filter class designed to work with SAX2
Owners: red
Branches: F-10 F-11
InitialCC:
Comment 8 Kevin Fenzi 2009-09-25 12:26:09 EDT
cvs done.
Comment 9 Fedora Update System 2009-09-25 13:22:44 EDT
xml-writer-0.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xml-writer-0.2-2.fc10
Comment 10 Fedora Update System 2009-09-25 13:23:19 EDT
xml-writer-0.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xml-writer-0.2-2.fc11
Comment 11 Fedora Update System 2009-09-29 10:31:31 EDT
xml-writer-0.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-09-29 10:37:19 EDT
xml-writer-0.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.